%global dlrn_nvr tripleo-heat-templates-10.6.2.dev91-0.20191113030444.fc5ca30
%global dlrn 1
%define upstream_version 10.6.2.dev91
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version: 10.6.2
Release: 0.20191113030444.fc5ca30%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-heat-templates-10.6.2.dev91-0.20191113030444.fc5ca30.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=fc5ca307bda8748c0612508f53dc0c4826af78be
Patch0001: 0001-DOWNSTREAM-ONLY-Disable-Docker-by-default-enable-Pod.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Enable-HA-Podman-by-default.patch
Patch0003: 0003-DOWNSTREAM-ONLY-Removal-of-Director-deployed-OCP.patch
Patch0004: 0004-Downstream-Only-Set-KVM-machine_type-to-RHEL8.0.patch
Patch0005: 0005-Revert-Downstream-Only-Set-KVM-machine_type-to-RHEL8.patch
Patch0006: 0006-DOWNSTREAM-ONLY-Fail-Ceph-deploy-unless-EnableRhcs4B.patch
Patch0007: 0007-Run-sensu-client-container-with-pid-host.patch
Patch0008: 0008-DOWNSTREAM-ONLY-remove-references-to-Skydive.patch
Patch0009: 0009-DOWNSTREAM-ONLY-Keep-the-default-mapping-for-skydive.patch
Patch0010: 0010-Don-t-run-sensu_client-in-privileged-mode.patch
Patch0011: 0011-Remove-pre_deploy-rhel-registration.patch

BuildArch:      noarch
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr
%if %{pyver} == 2
BuildRequires:  python-d2to1
%else
BuildRequires:  python%{pyver}-d2to1
%endif

Requires:       ansible-pacemaker
Requires:       ansible-tripleo-ipsec
Requires:       ansible-role-atos-hsm
Requires:       ansible-role-container-registry
Requires:       ansible-role-chrony
Requires:       ansible-role-thales-hsm
Requires:       python%{pyver}-paunch
Requires:       python%{pyver}-jinja2
Requires:       python%{pyver}-six
Requires:       openstack-tripleo-common >= 7.1.0
%if %{pyver} == 2
Requires:       PyYAML
%else
Requires:       python%{pyver}-PyYAML
%endif
%if 0%{rhosp} == 1
Requires:       ansible-role-redhat-subscription
%endif

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1

# Replace "env python" shebag to the correct python executable for the system
# if we don't do that brp-mangle-shebangs will change it to python2
for python_script in $(grep "/usr/bin/env python" . -rl)
do
    sed -i "s#/usr/bin/env python.*#/usr/bin/%{pyver_bin}#g" $python_script
done

%build
%{pyver_build}

%install
%{pyver_install}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar common %{buildroot}/%{_datadir}/%{name}
if [ -d docker ] ; then
  cp -ar docker %{buildroot}/%{_datadir}/%{name}
fi
cp -ar deployment %{buildroot}/%{_datadir}/%{name}

# docker_config_scripts will be removed in Stein
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
if [ -d container_config_scripts ]; then
  cp -ar container_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/%{name}
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar plan-samples %{buildroot}/%{_datadir}/%{name}
cp -ar roles %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{pyver_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{pyver_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{pyver_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Include ceph-ansible filter_plugins

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Adds ceph-systemd tag in external_upgrade_tasks for systemd units" into stable/stein
- Adds ceph-systemd tag in external_upgrade_tasks for systemd units

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Correct mysql-pacemaker upgrade task

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- [Steing Only] Correct ovn_dbs_image heat's parameter.

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Define ovn_dbs_image fact for upgrades." into stable/stein
- Define ovn_dbs_image fact for upgrades.

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Fix typo in OVN upgrade tasks." into stable/stein
- Fix typo in OVN upgrade tasks.

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Fix debug hiera keys" into stable/stein
- Fix debug hiera keys

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Fix container-puppet tool standalone for podman" into stable/stein
- Fix container-puppet tool standalone for podman

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Add "radvd_user" config parameter to Neutron L3 container" into stable/stein
- Add "radvd_user" config parameter to Neutron L3 container

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Move bootstrap password to an environment var" into stable/stein
- Move bootstrap password to an environment var

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Simplify and correct how we provide the undercloud.conf to mistral" into stable/stein
- Simplify and correct how we provide the undercloud.conf to mistral

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Simplify and correct how we provide the undercloud.conf to mistral (rhbz#1769737)
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Mode 0750 for /var/log/containers" into stable/stein
- Mode 0750 for /var/log/containers

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Simplify and correct how we provide the undercloud.conf to mistral (rhbz#1769737)
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Fix duplicate mount point in neutron_dhcp

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Disable haproxy when using external LB" into stable/stein
- Disable haproxy when using external LB

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Fix container-puppet tool standalone for podman (rhbz#1769380)
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Install and start Rsyslog on the Undercloud & Standalone

* Sat Nov 02 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Honor Debug for container image prepare" into stable/stein
- Merge "Configure amphora for upload and run tempest" into stable/stein
- Honor Debug for container image prepare
- Configure amphora for upload and run tempest

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Adapt ContainerImagePrepareDebug to the string pattern

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Restart certmnonger after registering system with IPA" into stable/stein
- Restart certmnonger after registering system with IPA

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Normalise all pacemaker resource upgrade tasks for staged upgrades" into stable/stein
- Normalise all pacemaker resource upgrade tasks for staged upgrades

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Remove pre_deploy/rhel-registration (rhbz#1765438)
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Add posibilities to set ovn_openflow_probe_interval for controller" into stable/stein
- Add posibilities to set ovn_openflow_probe_interval for controller

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Scenario 010 multinode fixups" into stable/stein
- Scenario 010 multinode fixups

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "HA: ensure TRIPLEO_MINOR_UPDATE is defined for <svc>_restart_bundle" into stable/stein
- HA: ensure TRIPLEO_MINOR_UPDATE is defined for <svc>_restart_bundle

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Ensure nova-api is running before starting nova-compute containers" into stable/stein
- Merge "Add second fact to ensure type safty" into stable/stein
- Add second fact to ensure type safty
- Ensure nova-api is running before starting nova-compute containers

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Less agressive cleanup of docker containers in post_upgrade_tasks" into stable/stein
- Less agressive cleanup of docker containers in post_upgrade_tasks

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Derives NovaPCIPassthrough per SR-IOV node

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Set bridge-nf-call-* values to 1" into stable/stein
- Set bridge-nf-call-* values to 1

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Use update_serial as an ansible variable

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Add missing step tag in updates/upgrades/ffu tasks" into stable/stein
- Add missing step tag in updates/upgrades/ffu tasks

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Workaround ovn cluster failure during update when schema change." into stable/stein
- Workaround ovn cluster failure during update when schema change.

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Podman 1.4.1 drops json-file in favor of k8s-file" into stable/stein
- Podman 1.4.1 drops json-file in favor of k8s-file

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Fix placement of Octavia services in roles" into stable/stein
- Merge "Add posibilities to configure OVNNorthboundServerPort in split stacks" into stable/stein
- Add posibilities to configure OVNNorthboundServerPort in split stacks
- Fix placement of Octavia services in roles

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Permit access to Ceph RGW for 'member' role" into stable/stein
- Merge "Remove containers before removing associated storage" into stable/stein
- Permit access to Ceph RGW for 'member' role
- Remove containers before removing associated storage

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Podman 1.4.1 drops json-file in favor of k8s-file (rhbz#1761870)

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Set scenario009 job voting to false" into stable/stein
- Set scenario009 job voting to false

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Fix double cert mount in haproxy bundle when using tls everywhere" into stable/stein
- Merge "Add new parameter options to Octavia service" into stable/stein
- Merge "Allow using registry authentication to pull ceph related containers" into stable/stein
- Fix double cert mount in haproxy bundle when using tls everywhere
- Allow using registry authentication to pull ceph related containers
- Add new parameter options to Octavia service

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Add NeutronPermittedEthertypes on OVS agent" into stable/stein
- Add NeutronPermittedEthertypes on OVS agent

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Remove ContainerCLI from ovb-ha default file" into stable/stein
- Remove ContainerCLI from ovb-ha default file

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Fix Manila when run without pacemaker

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- [DOWNSTREAM-ONLY] Disable Docker by default, enable Podman by default (rhbz#1677364)
- Merge "Prevent running mysql data transfer twice by accident" into stable/stein
- Prevent running mysql data transfer twice by accident

* Wed Sep 11 2019 RDO <dev@lists.rdoproject.org> 10.6.1-1
- Update to 10.6.1

* Fri Jul 05 2019 RDO <dev@lists.rdoproject.org> 10.6.0-1
- Update to 10.6.0

* Thu Apr 18 2019 RDO <dev@lists.rdoproject.org> 10.5.0-1
- Update to 10.5.0

